%define module_version 0.16
%define module_name Mojolicious-Plugin-MySQLViewerLite
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DBD/mysql.pm) perl(DBIx/Connector.pm) perl(DBIx/Custom.pm) perl(Data/Page.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Mojo/Base.pm) perl(Mojo/HelloWorld.pm) perl(Mojolicious.pm) perl(Mojolicious/Lite.pm) perl(Test/More.pm) perl(Validator/Custom.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: Mojolicious plugin to display MySQL database information on browser
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KI/KIMOTO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
the Mojolicious::Plugin::MySQLViewerLite manpage is the Mojolicious manpage plugin
to display MySQL database information on your browser.

the Mojolicious::Plugin::MySQLViewerLite manpage have the following features.

=over 4

=item *

Display all table names

=item *

Display `show create table'

=item *

Select * from TABLE

=item *

Display `primary keys', `null allowed columnes', `database engines' and `charsets' in all tables.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- initial import by package builder

